page-single-message {

	ion-item {
	    --border-width: 0!important;
	    --inner-border-width: 0!important;

	    ion-avatar {
			width: 55px;
	    	height: 55px;
	    	bottom: 0;
	    	left: 15px;
	    	bottom: 5px;
	    	position: absolute;
	    }
  	}

  	.button-icon {
  		color: $theme-color !important;
  		font-size: 26px;
  		background: none !important;
  		margin-top: 12px;
  	}

	.message-text {
		display: inline-block;
		padding: 0 20px 0 20px;
		margin-bottom: 10px;
		border-radius: 16px;
		max-width: 240px;
		min-width: 136px;
		font-size: 15px;
		font-family: -apple-system, "Helvetica-Neue", Helvetica, sans-serif;
		white-space: pre-line;
		-webkit-box-sizing: border-box;
		box-sizing: border-box;


		&.left {
			  background-color: #efefef;
			  color: #444;
			  float: left !important;
			  margin-left: 55px;
			  margin-top: 0px;
		}

		&.left:before {
			  position: absolute;
			  left: 56px;
			  bottom: 32px;
			  content:'';
			  width: 0;
			  height: 0;
			  border-width: 8px 16px 8px 0;
			  border-style: solid;
			  border-color: transparent #efefef transparent;
		}

		&.right {
			background-color: #bbf3ed;
			margin-right: 20px;
			color: #444;
			float: right !important;
		}

		&.right:before {
			position: absolute;
			right: 22px;
			bottom: 32px;
			content:'';
			width: 0;
			height: 0;
			border-width: 8px 0 8px 16px;
			border-style: solid;
			border-color: transparent #bbf3ed transparent;
		}
	}

	.message-time {
		font-size: 12px;
		opacity: .5;
		position: absolute;
		bottom: 0;
	}

	ion-footer {
		--ion-toolbar-background-color: var(--ion-color-white);

		.message-input {
			padding-left: 8px;
			background: #fff;
			border-radius: 15px;
			border: 1px solid #eee;
			padding: 3px 8px 3px 8px;
			margin: 5px;
		}
	}
}
